%global module pip

%global python2_wheelname %{module}-%{version}-py2.py3-none-any.whl
%global python3_wheelname %{python2_wheelname}

%bcond_without wheel

Name:           python-%{module}
Version:        8.0.2
Release:        6
Group:          Development/Python
Summary:        A tool for installing and managing Python packages (easy_install replacement)

License:        MIT
URL:            http://pypi.python.org/pypi/pip
Source0:        https://pypi.python.org/packages/source/p/pip/pip-%{version}.tar.gz
Patch0:         pip-allow-stripping-prefix-from-wheel-RECORD-files.patch
BuildArch:      noarch

BuildRequires:  pkgconfig(python)
BuildRequires:  python-setuptools
%if %{with wheel}
BuildRequires:  python-pip
BuildRequires:  python-wheel
%endif

Requires:       python-setuptools
Requires:       python-pkg-resources
Provides:       pythonegg(pip)

%description
`pip` is a tool for installing and managing Python packages, such as
those found in the `Python Package Index`_. It's a replacement for
easy_install_.

%package -n python3-pip
Summary:        A tool for installing and managing Python3 packages (easy_install replacement)

Group:          Development/Python

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools
%if %{with wheel}
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
%endif
Requires:  	python3-distribute
Requires:       python3-pkg-resources
Provides:       python3egg(pip)

%description -n python3-pip
Pip is a replacement for `easy_install
<http://peak.telecommunity.com/DevCenter/EasyInstall>`_.  It uses mostly the
same techniques for finding packages, so packages that were made
easy_installable should be pip-installable as well.

%prep
%setup -q -c
# Remove bundled egg-info
rm -rf %{module}-%{version}/%{module}.egg-info

mv %{module}-%{version} python2
cp -r python2 python3

pushd python2
%apply_patches
%{__sed} -i '1d' pip/__init__.py
popd

pushd python3
%apply_patches
%{__sed} -i '1d' pip/__init__.py
popd


%build
pushd python2
%if %{with wheel}
CFLAGS="%{optflags}" python setup.py bdist_wheel
%else
CFLAGS="%{optflags}" python setup.py build
%endif
popd

pushd python3
%if %{with wheel}
CFLAGS="%{optflags}" python3 setup.py bdist_wheel
%else
CFLAGS="%{optflags}" python3 setup.py build
%endif
popd

%install
pushd python3
%if %{with wheel}
pip3 install -I dist/%{python3_wheelname} --root %{buildroot} --strip-file-prefix %{buildroot}
%else
python3 setup.py install --skip-build --root %{buildroot}
%endif

# Change the name of the python3 pip executable in order to not conflict with
# the python2 executable
mv %{buildroot}%{_bindir}/pip %{buildroot}%{_bindir}/python3-pip

# The install process creates both pip and pip-<python_abiversion> that seem to
# be the same. Remove the extra script
pushd %{buildroot}%{_bindir}
rm -rf pip-3*
popd

popd

pushd python2
%if %{with wheel}
pip2 install -I dist/%{python2_wheelname} --root %{buildroot} --strip-file-prefix %{buildroot}
%else
python setup.py install -O1 --skip-build --root %{buildroot}
%endif

# The install process creates both pip and pip-<python_abiversion> that seem to
# be the same. Since removing pip-* also clobbers pip-python3, just remove pip-2*
pushd %{buildroot}%{_bindir}
rm -rf pip-2*
popd

popd

%files
%doc python2/LICENSE.txt python2/PKG-INFO python2/docs
%attr(755,root,root) %{_bindir}/pip
%{py_puresitedir}/pip*
%{_bindir}/pip2
%{_bindir}/pip%{py_ver}

%files -n python3-pip
%{_bindir}/pip3
%{_bindir}/pip%{py3_ver}
%doc python3/LICENSE.txt python3/PKG-INFO python3/docs
%attr(755,root,root) %{_bindir}/python3-pip
%{py3_puresitedir}/pip*

%changelog

* Fri May 06 2016 Denis Silakov <denis.silakov@rosalab.ru> 8.0.2-6
- (9123a25) Revert bootstrap


